Subject: bug#46790: 28.0.50; make install with native-comp branch

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 25 Apr 2021 13:14:23 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Sat, 24 Apr 2021 16:20:41 +0000
>> 
>> > So how did that running Emacs session start successfully if you say
>> > that you needed the symlink to native-lisp/ ?
>> 
>> As said above it starts fine from /usr/local/bin but fails from
>> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50 and running ./emacs.
>
> Is this the latest branch HEAD?  If so, it should display 2 lines
> instead of one when it fails to find the *.eln files.  I need to see
> both of those two lines.
>
> If the above is not with the branch HEAD, please do build and install
> the latest branch.  The code changes since b064ddd3f60 are needed for
> other use cases, so we won't revert them.  We need to understand why
> the latest code doesn't work for you.

I am back with the branch at HEAD, as I said before, I can't have the
error lines you ask because there is no more error at startup, only when
using async-start or dired-async, sorry.

-- 
Thierry